package com.steerinfo.ems.tcm0348.service;

import com.steerinfo.ems.tcm0348.model.TCm0348;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.framework.service.pagehelper.PageList;
import org.apache.ibatis.annotations.Param;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * TCm0348服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-28 09:32
 * 类描述
 * 修订历史：
 * 日期：2019-10-28
 * 作者：generator
 * 参考：
 * 描述：TCm0348服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITCm0348Service extends IBaseService<TCm0348, String>{
    String deleteprevious(Map<String, Object> parameters);
    PageList<TCm0348> dataQuery(Map<String, Object> parameters, Integer pageNum, Integer pageSize);
    PageList<TCm0348> qualityassessment(Map<String, Object> parameters, Integer pageNum, Integer pageSize);
    PageList<TCm0348> datacomparison(Map<String, Object> parameters, Integer pageNum, Integer pageSize);
    public List<TCm0348> getDateforbfhyd(@Param("bfhydzjdh") String bfhydzjdh);
    //获取最新的动力质量数据
    public void getDate() throws ParseException;
    //修改动力数据监测值
    int updates(TCm0348 model);
}